Add document review
POST/documents/:documentId/reviews
Add a review to a document. When notifications are supplied, queue each notification for delivery when the review is created.
Request
Path Parameters
Document Identifier
Query Parameters
Site Identifier
Artifact Document Identifier
- application/json
Body
required
- PENDING: Review has been created and is waiting for one or more decisions.
- IN_PROGRESS: Review has been claimed or at least one decision has been submitted, but completion requirements are not yet satisfied.
- COMPLETED: Completion requirements are satisfied.
- CANCELLED: Review was cancelled before completion.
- SUPERSEDED: Review was replaced by another review, usually because the artifact/document changed.
Array [
]
review
object
Review category
Status of Document Review:
Possible values: [PENDING, IN_PROGRESS, COMPLETED, CANCELLED, SUPERSEDED]
Optional approval groups used for additional credential verification when submitting a decision to POST /documents/{documentId}/reviews/{reviewId}/decisions. The caller must belong to at least one of the listed groups, in addition to satisfying the existing authorization requirements.
Number of decisions required to complete the review
Possible values: >= 1
notifications
object[]
Optional notifications to queue for delivery when the review is created. An empty list sends no notifications.
Type of document notification
Possible values: [EMAIL, IN_APP]
CC recipient email addresses
Possible values: >= 1
BCC recipient email addresses
Possible values: >= 1
Notification subject
Possible values: non-empty
Notification body
Possible values: non-empty
Review comments
Responses
- 201
201 CREATED
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Review Identifier
{
"reviewId": "string"
}